Page MenuHomePhabricator

Don't monitor HHVM on PHP7 only servers
Closed, InvalidPublic

Description

We have started enabling the php7_only feature flags on mediawiki servers. When a server has this flag enabled, there is not need to check HHVM neither on nagios nor LVM

Event Timeline

jijiki created this task.Jul 22 2019, 10:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2019, 10:42 AM
jijiki moved this task from Backlog to Next up on the serviceops board.Jul 26 2019, 10:26 AM
Dzahn added a subscriber: Dzahn.Aug 5 2019, 9:33 PM

We now have the flag to entirely remove HHVM profile::mediawiki::install_hhvm: false that also removes monitoring in profile::mediawiki::webserver.

You can check on mw1348 or scandium.

So one could say just use that flag on all the PHP7 only servers and then this is not needed.

Or would you still like a separate switch to turn off monitoring even when HHVM is still installed?

jijiki closed this task as Invalid.Aug 6 2019, 9:53 AM

@Dzahn you are right, I am marking this as invalid.